<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/activity_pre"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/main_bg"
    tools:context=".activity.PrewActivity">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:background="@mipmap/bg_main"
        android:layout_height="wrap_content">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/pre_back"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_marginStart="20dp"
            android:background="@drawable/icon_back_bg"
            android:padding="4dp"
            app:layout_constraintBottom_toBottomOf="@id/pre_title"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@id/pre_title">

            <ImageView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@drawable/icon_back" />
        </androidx.constraintlayout.widget.ConstraintLayout>


        <com.fun.funnyprank.tools.MytextView
            android:id="@+id/pre_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:gravity="center"
            android:textColor="@color/main_title_color"
            android:textSize="26sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />


        <com.fun.funnyprank.tools.MytextView
            android:id="@+id/pre_loop_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:gravity="center"
            android:text="@string/loop"
            android:textColor="@color/white"
            android:textSize="20sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/pre_title" />

        <androidx.appcompat.widget.SwitchCompat
            android:id="@+id/loop"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="4dp"
            android:thumb="@drawable/thumb_sw"
            app:layout_constraintEnd_toEndOf="@id/pre_loop_text"
            app:layout_constraintStart_toStartOf="@id/pre_loop_text"
            app:layout_constraintTop_toBottomOf="@id/pre_loop_text"
            app:track="@drawable/switch_selector" />

        <ProgressBar
            android:id="@+id/pre_pg"
            android:layout_width="100dp"
            android:layout_height="100dp"
            android:indeterminateTint="@color/black"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <FrameLayout
            android:id="@+id/pre_cons"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@mipmap/pre_video_bg"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/loop">

            <FrameLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@mipmap/pre_video"/>

                <ImageView
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    android:id="@+id/pre_image"
                    android:layout_width="100dp"
                    android:layout_marginTop="15dp"
                    android:layout_gravity="center"
                    android:src="@mipmap/ic_launcher"
                    android:layout_height="100dp" />
            </FrameLayout>


        </FrameLayout>

        <ImageView
            android:id="@+id/pre_like"
            android:layout_width="42dp"
            android:layout_height="37dp"
            android:layout_marginBottom="10dp"
            app:layout_constraintTop_toBottomOf="@id/pre_cons"
            android:background="@drawable/icon_liek_uncheck"
            app:layout_constraintBottom_toTopOf="@id/seekbar"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <SeekBar
            android:id="@+id/seekbar"
            android:layout_width="210dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="56dp"
            android:progressDrawable="@drawable/seekbar_style"
            android:thumb="@drawable/seek_bar_thumb"
            app:layout_constraintTop_toBottomOf="@id/pre_like"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <ImageView
            android:id="@+id/volumeleft"
            android:layout_width="20dp"
            android:layout_height="20dp"
            android:layout_marginEnd="32dp"
            android:background="@drawable/icon_sound_low"
            app:layout_constraintBottom_toBottomOf="@id/seekbar"
            app:layout_constraintEnd_toStartOf="@id/seekbar"
            app:layout_constraintTop_toTopOf="@id/seekbar" />

        <ImageView
            android:id="@+id/volumeright"
            android:layout_width="20dp"
            android:layout_height="20dp"
            android:layout_marginStart="32dp"
            android:background="@drawable/icon_sound_height"
            app:layout_constraintBottom_toBottomOf="@id/seekbar"
            app:layout_constraintStart_toEndOf="@id/seekbar"
            app:layout_constraintTop_toTopOf="@id/seekbar" />


        <ImageView
            android:id="@+id/pre_play"
            android:layout_width="95dp"
            android:layout_height="95dp"
            android:layout_marginTop="20dp"
            android:background="@drawable/icon_play"
            app:layout_constraintTop_toBottomOf="@id/seekbar"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <View
            android:layout_width="match_parent"
            app:layout_constraintTop_toBottomOf="@id/pre_play"
            android:layout_height="200dp"/>

    </androidx.constraintlayout.widget.ConstraintLayout>

</ScrollView>